Results 1 to 3 of 3

Thread: Upgrade from 3.1.4 to 4.0.0 fails

  1. #1
    freeformz is offline Intermediate Member
    Join Date
    Aug 2006
    Posts
    22
    Rep Power
    9

    Default Upgrade from 3.1.4 to 4.0.0 fails

    Here is the upgrade output

    zimbra:~/zcs# ./install.sh

    Operations logged to /tmp/install.log.20353
    Checking for existing installation...
    zimbra-ldap...FOUND zimbra-ldap-3.1.4_GA_518.DEBIAN3.1
    zimbra-logger...FOUND zimbra-logger-3.1.4_GA_518.DEBIAN3.1
    zimbra-mta...FOUND zimbra-mta-3.1.4_GA_518.DEBIAN3.1
    zimbra-snmp...FOUND zimbra-snmp-3.1.4_GA_518.DEBIAN3.1
    zimbra-store...FOUND zimbra-store-3.1.4_GA_518.DEBIAN3.1
    zimbra-apache...FOUND zimbra-apache-3.1.4_GA_518.DEBIAN3.1
    zimbra-spell...FOUND zimbra-spell-3.1.4_GA_518.DEBIAN3.1
    zimbra-core...FOUND zimbra-core-3.1.4_GA_518.DEBIAN3.1
    ./install.sh: line 1: rpm: command not found

    Saving existing configuration file to /opt/zimbra/.saveconfig


    PLEASE READ THIS AGREEMENT CAREFULLY BEFORE USING THE SOFTWARE.
    ZIMBRA, INC. ("ZIMBRA") WILL ONLY LICENSE THIS SOFTWARE TO YOU IF YOU
    FIRST ACCEPT THE TERMS OF THIS AGREEMENT. BY DOWNLOADING OR INSTALLING
    THE SOFTWARE, OR USING THE PRODUCT, YOU ARE CONSENTING TO BE BOUND BY
    THIS AGREEMENT. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS
    AGREEMENT, THEN DO NOT DOWNLOAD, INSTALL OR USE THE PRODUCT.

    License Terms for the Zimbra Collaboration Suite:
    http://www.zimbra.com/license/collab...cense_1.0.html


    Press Return to continue

    Checking for prerequisites...
    NPTL...FOUND
    sudo...FOUND sudo-1.6.8p7-1.4
    libidn11...FOUND libidn11-0.5.13-1.0
    curl...FOUND curl-7.13.2-2sarge5
    fetchmail...FOUND fetchmail-6.2.5-12sarge4
    libgmp3...FOUND libgmp3-4.1.4-6
    libxml2...FOUND libxml2-2.6.16-7
    libstdc++6...FOUND libstdc++6-3.4.3-13
    openssl...FOUND openssl-0.9.7e-3sarge1

    Checking for installable packages

    Found zimbra-core
    Found zimbra-ldap
    Found zimbra-logger
    Found zimbra-mta
    Found zimbra-snmp
    Found zimbra-store
    Found zimbra-apache
    Found zimbra-spell


    The Zimbra Collaboration Suite appears already to be installed.
    It can be upgraded with no effect on existing accounts,
    or the current installation can be completely removed prior
    to installation for a clean install.

    Do you wish to upgrade? [Y] Y

    Select the packages to install
    Upgrading zimbra-core
    Upgrading zimbra-ldap
    Upgrading zimbra-logger
    Upgrading zimbra-mta
    Upgrading zimbra-snmp
    Upgrading zimbra-store
    Upgrading zimbra-apache
    Upgrading zimbra-spell

    Installing:
    zimbra-core
    zimbra-ldap
    zimbra-logger
    zimbra-mta
    zimbra-snmp
    zimbra-store
    zimbra-apache
    zimbra-spell

    The system will be modified. Continue? [N] Y

    Shutting down zimbra mail

    Backing up ldap


    Removing existing packages

    zimbra-ldap...done
    zimbra-logger...done
    zimbra-mta...done
    zimbra-snmp...done
    zimbra-store...done
    zimbra-spell...done
    zimbra-apache...done
    zimbra-core...done

    Removing deployed webapp directories
    Installing packages

    zimbra-core......zimbra-core_4.0.0_GA_303.DEBIAN3.1_i386.deb...done
    zimbra-ldap......zimbra-ldap_4.0.0_GA_303.DEBIAN3.1_i386.deb...done
    zimbra-logger......zimbra-logger_4.0.0_GA_303.DEBIAN3.1_i386.deb...done
    zimbra-mta......zimbra-mta_4.0.0_GA_303.DEBIAN3.1_i386.deb...done
    zimbra-snmp......zimbra-snmp_4.0.0_GA_303.DEBIAN3.1_i386.deb...done
    zimbra-store......zimbra-store_4.0.0_GA_303.DEBIAN3.1_i386.deb...done
    zimbra-apache......zimbra-apache_4.0.0_GA_303.DEBIAN3.1_i386.deb...done
    zimbra-spell......zimbra-spell_4.0.0_GA_303.DEBIAN3.1_i386.deb...done

    Setting defaults from saved config in /opt/zimbra/.saveconfig/config.save
    HOSTNAME=zimbra.interlix.org
    LDAPHOST=
    LDAPPORT=
    SNMPTRAPHOST=zimbra.interlix.org
    SMTPSOURCE=admin@interlix.org
    SMTPDEST=admin@interlix.org
    SNMPNOTIFY=yes
    SMTPNOTIFY=yes
    LDAPROOTPW=<hidden>
    LDAPZIMBRAPW=<hidden>
    Restoring existing configuration file from /opt/zimbra/.saveconfig/config.save...done
    Operations logged to /tmp/zmsetup.log.23490
    Setting defaults...Setting defaults from existing config...Done
    Upgrading from 3.1.4_GA_518 to 4.0.0_GA_303
    Thu Aug 31 22:15:29 2006: Stopping zimbra services
    Thu Aug 31 22:15:34 2006: Checking mysql status
    Thu Aug 31 22:15:34 2006: Starting mysql
    Thu Aug 31 22:15:35 2006: SELECT value FROM config WHERE name = 'db.version'
    ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/opt/zimbra/db/mysql.sock' (2)
    Error while running '/opt/zimbra/bin/mysql --user=zimbra --password=<hidden> --database=zimbra --batch --skip-column-names'. at /opt/zimbra/libexec/scripts/Migrate.pm line 134.
    zimbra:~/zcs#

    ----
    Mysql is in fact running. and /opt/zimbra/db/mysql.sock is there.

    What should I do next?

  2. #2
    marcmac is offline Expert Member
    Join Date
    Sep 2005
    Posts
    2,103
    Rep Power
    13

    Default

    rerun /opt/zimbra/libexec/zmsetup.pl as root. You can ignore the rpm error, it's innocuous.
    Bugzilla - Wiki - Downloads - Before posting... Search!

  3. #3
    freeformz is offline Intermediate Member
    Join Date
    Aug 2006
    Posts
    22
    Rep Power
    9

    Default

    Thanks, that did it.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. upgrade 3.1.4 to 4.5.3
    By ronsterchan in forum Administrators
    Replies: 4
    Last Post: 03-16-2007, 01:24 AM
  2. Replies: 5
    Last Post: 03-01-2007, 03:20 AM
  3. Upgrade 3.1.4 to 4.0.2
    By Richard in forum Zimbra Connector for Outlook
    Replies: 4
    Last Post: 10-10-2006, 07:20 AM
  4. Perfect upgrade from 4.0.0 to 4.0.2
    By StefanD in forum Administrators
    Replies: 0
    Last Post: 09-26-2006, 02:08 PM
  5. Smooth upgrade to 4.0.0 GA from 4.0.0 RC1
    By czaveri in forum Administrators
    Replies: 2
    Last Post: 08-30-2006, 02:22 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •